Download it now!
Bug 90533 - FILESAVE: XLSX - Chart appears with round corners [RT]
Summary: FILESAVE: XLSX - Chart appears with round corners [RT]
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.0.0.0 beta1
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.0.0
Keywords: filter:xlsx
Depends on:
Blocks:
 
Reported: 2015-04-09 17:00 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 06:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
how it looks in excel (82.96 KB, image/png)
2015-04-09 17:00 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-09 17:00:13 UTC
Created attachment 114700 [details]
how it looks in excel

Steps:
1) Open attachment 114697 [details]
2) Save it
3) Open save file in Excel
4) Notice that the chart has round corners

Version: 4.5.0.0.alpha0+
Build ID: 2bbce7dcd46e8aca716808602aa152ecd85b42af
TinderBox: Win-x86@42, Branch:master, Time: 2015-04-07_22:55:39
Comment 1 A (Andy) 2015-04-09 17:49:50 UTC
For me not reproducible with LO 4.4.1.2, Win 8.1
Comment 2 Yousuf Philips (jay) (retired) 2015-04-10 08:58:47 UTC
You have to open the saved document in Excel as it doesnt show as rounded corners in LO. ;D
Comment 3 A (Andy) 2015-04-10 09:11:27 UTC
(In reply to Jay Philips from comment #2)
> You have to open the saved document in Excel as it doesnt show as rounded
> corners in LO. ;D

I opened it with the MSO Excel viewer and there I can't see these rounded corners.  I see it in your attachment, therefore maybe somebody else can reproduce it.
Comment 4 Yousuf Philips (jay) (retired) 2015-04-10 10:08:47 UTC
Okay i can confirm that the chart is fine in excel 2007, but isnt in excel 2010 and 2013.
Comment 5 A (Andy) 2015-04-10 10:14:20 UTC
(In reply to Jay Philips from comment #4)
> Okay i can confirm that the chart is fine in excel 2007, but isnt in excel
> 2010 and 2013.

Ok, thanks for your effort.  This is also the explanation why we have a different chart.
Comment 6 raal 2015-04-10 18:20:52 UTC
I can confirm with Verze: 4.4.2.2 ID build: c4c7d32d0d49397cad38d62472b0bc8acff48dd6

Version 4.0.0.0.alpha1+ (Build ID: ce90f99a2d66c2b998ad3f9f028e2ea623a757f)

excel2010
Comment 7 Markus Mohrhard 2015-04-16 00:06:54 UTC
Fixed.

We just need to write into the output stream that there are no rounded corners. Another MSO 2007 vs OOXML issue.
Comment 8 Commit Notification 2015-04-16 01:01:58 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e239836009390a5f2b4ee4d6dfd42b6032f7cc4

add test for tdf#90533

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Francisco 2015-05-01 17:10:04 UTC
Hi,

Is there any possibility that this fix could be backported to 4.4?
Comment 10 Yousuf Philips (jay) (retired) 2015-05-01 21:06:38 UTC
@Francisco: Markus had stated that he wouldnt be backporting any of these 2007 ooxml chart bug fixes.

Weird though that the bug fix commit didnt land a reference here.

we don't support roundedCorners, tdf#90533
http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb2063832dd64d39ec57d70d0637fe23412c096d
Comment 11 Francisco 2015-05-01 21:10:00 UTC
(In reply to Yousuf (Jay) Philips from comment #10)
> @Francisco: Markus had stated that he wouldnt be backporting any of these
> 2007 ooxml chart bug fixes.

Thanks Jay for answering, and also Markus for your work :-)

Regards
Comment 12 Robinson Tryon (qubit) 2015-12-17 06:34:11 UTC Comment hidden (obsolete)